java.util.concurrent

## Interface RunnableScheduledFuture<V>

- Type Parameters:
    `V` - The result type returned by this Future's `get` method
  All Superinterfaces:
    Comparable<Delayed>, Delayed, Future<V>, Runnable, RunnableFuture<V>, ScheduledFuture<V>

      public interface RunnableScheduledFuture<V>
      extends RunnableFuture<V>, ScheduledFuture<V>

  A `ScheduledFuture` that is `Runnable`. Successful execution of the `run` method causes completion of the `Future` and allows access to its results.
  Since:
    1.6
  See Also:
    `FutureTask`, `Executor`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isPeriodic()` Returns true if this is a periodic task.

    - ### Methods inherited from interface java.util.concurrent.RunnableFuture

      `run`

    - ### Methods inherited from interface java.util.concurrent.Delayed

      `getDelay`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface java.util.concurrent.Future

      `cancel, get, get, isCancelled, isDone`

- - ### Method Detail

    - #### isPeriodic

          boolean isPeriodic()

      Returns true if this is a periodic task. A periodic task may re-run according to some schedule. A non-periodic task can be run only once.
      Returns:
        true if this task is periodic

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.